For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETRetrieve network coverage collection
        • GETRetrieve network coverage data
        • PUTAdd network coverage data
        • DELRemove operator from network coverage
        • PATCHUpdate VPLMN status in network coverage configuration
        • PUTBlacklist RAT type
        • DELRemove a RAT type from the blacklist
LogoLogo
Request featuresContact support
API ReferenceNetwork Coverage

Update VPLMN status in network coverage configuration

PATCH
https://cdn.emnify.net/api/v1/network_coverage/:coverage_id/coverage/:operator_id
PATCH
/api/v1/network_coverage/:coverage_id/coverage/:operator_id
$curl -X PATCH https://cdn.emnify.net/api/v1/network_coverage/coverage_id/coverage/operator_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "status": {
> "id": 0
> }
>}'
1{}
This will disable/enable the operator contained in the specified `network_coverage_data` object. The JSON payload should patch the `status` object to have an `id` of `1` (enabled) or `0` (disabled). The availability status of a VPLMN may be changed at any time. Changes will be immediately applied, but only for new location update requests. Subscribers already camping on that VPLMN will not be affected until their next location update.
Was this page helpful?
Previous

Remove operator from network coverage

Next

Blacklist RAT type

Built with

This will disable/enable the operator contained in the specified network_coverage_data object. The JSON payload should patch the status object to have an id of 1 (enabled) or 0 (disabled).

The availability status of a VPLMN may be changed at any time. Changes will be immediately applied, but only for new location update requests.

Subscribers already camping on that VPLMN will not be affected until their next location update.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

coverage_idstringRequired
operator_idstringRequired

Request

statusobjectOptional

Response

Success

Errors

404
Not Found Error